Subject: bug#22789: 25.1.50; In last master build https connections stop working

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 06 Mar 2016 19:33:43 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Magne Ingebrigtsen <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Sun, 06 Mar 2016 10:33:08 +0100
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >>       /* If status of something has changed, and no input is
>> >> 	 available, notify the user of the change right away.  After
>> >> 	 this explicit check, we'll let the SIGCHLD handler zap
>> >> 	 timeout to get our attention.  */
>> 
>> [...]
>> 
>> > The comment above seems to explain what it does, no?
>> 
>> I don't understand it, or how it relates to calling pselect with a zero
>> timeout.  :-)
>
> It wants to poll, so it sets the time-out at zero, meaning "don't wait
> at all".  Or am _I_ missing something?

But why does it want to poll?  I'm wondering whether any of the
async-related timeout changes are...  provoking the "if (update_tick !=
process_tick)" bit to always be true in some cases, and making this
polling behaviour happen infinitely...  or something...

But I've been completely unable to reproduce the error, so I'm just
speculating.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no